.footer {
  margin-top: 30px;
  padding: 30px 0 20px 0;
  border-top: var(--border-standard);
  background: var(--bg-dark-elements);
}

.footer-inner {
  max-width: 1300px;
  display: flex;
  justify-content: space-between;
  gap: 60px;
  margin: 0 auto;
  padding: 0 40px; 
}

.footer h3 {
  margin-bottom: 15px;
  font-size: 20px;
  font-weight: 600;
}

.footer-col ul {
  margin: 0;
  padding: 0;
  list-style: none;  
}

.footer-col li {
  margin-bottom: 12px;
  color: var(--text-secondary);
  cursor: pointer;
  transition: 0.2s ease;
}

.footer-col li:hover {
  color: var(--text-primary);
  transform: translateX(4px);
}

.footer-col li i {
  margin-right: 10px;
}

.footer a {
  color: var(--text-secondary);
  text-decoration: none;
}

.footer a:hover {
  color: var(--text-primary);
}

.contacts a {
  color: var(--text-secondary);
}

.contacts span {
  width: 20px;
  margin-right: 10px;
}

.footer-ext-link {
  color: var(--text-secondary);
  text-decoration: none;
}

.social {
  display: flex;
  margin-top: 20px;
  gap: 20px;
}

.social a {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 36px;
  height: 36px;
  border-radius: 50%;
  background: var(--bg-standard-elements);
  backdrop-filter: blur(4px);
  transition: 0.25s ease;
}
.social a:hover {
  background: var(--bg-standard-elements-hover);
  transform: translateY(-2px);
}

.social i {
  font-size: 14px;
  color: var(--text-primary);
}

.footer-legal {
  margin-top: 20px;
  padding: 0 20px;
  text-align: center;
  color: var(--text-muted);
  font-size: 13px;
  line-height: 1.5;
}

.footer-bottom {
  text-align: center;
  font-size: 13px;
}

hr {
  width: 90%;
  margin: 20px auto;
  border: none;
  border-top: var(--border-standard);
}

/* laptop 1600–1919px */
@media (min-width: 1600px) and (max-width: 1919px) {
  .footer-inner {
    max-width: 1200px;
  }
}

/* laptop 1366–1599px */
@media (min-width: 1366px) and (max-width: 1599px) {
  .footer {
    margin-top: 20px;
    padding: 20px 0 20px 0;
  }

  .footer-inner {
    max-width: 1100px;
    padding: 0 25px; 
    gap: 40px; 
  }

  .footer h3 {
    font-size: 18px;
  }

  .footer-col li {
    font-size: 15px;
  }
}

/* laptop 1280–1365px */
@media (min-width: 1280px) and (max-width: 1365px) {
  .footer {
    margin-top: 30px;
    padding: 20px 0 20px 0;
  }

  .footer-inner {
    max-width: 1100px;
    padding: 0 20px;  
    gap: 40px; 
  }

  .footer h3 {
    font-size: 18px;
  }

  .footer-col li {
    font-size: 15px;
  }

  .social i {
    font-size: 14px;
    color: #fff;
  }
}

/* tablet */
@media (min-width: 768px) and (max-width: 1279px) and (orientation: portrait) {
  .footer {
    margin-top: 30px;
    padding: 20px 0 20px 0;
  }

  .footer-inner {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 20px 10px;
    padding: 0 40px;
    text-align: center;
  }

  .footer-col {
    margin: 0 auto;
    max-width: 320px;
  }

  .footer h3 {
    font-size: 18px;
  }

  .footer-col li {
    font-size: 15px;
  }

  .social {
    justify-content: center;
  }

  .footer-legal {
    grid-column: 1 / span 2;
    max-width: 700px;
    margin: 20px auto 0 auto;
    text-align: center;
  }

  .footer-bottom {
    text-align: center;
    font-size: 13px;
  }
}
@media (min-width: 768px) and (max-width: 1279px) and (orientation: landscape) {
  .footer {
    margin-top: 30px;
    padding: 20px 0 20px 0;
  }

  .footer-inner {
    max-width: 900px;
    padding: 0 20px;  
    gap: 40px;
  }

  .footer h3 {
    margin-bottom: 10px;
    font-size: 17px;
  }

  .footer-col li {
    margin-bottom: 12px;
    cursor: pointer;
    transition: 0.2s ease;
    font-size: 14px;
  }

  .social {
    gap: 15px;
  }

  .social a {
    width: 34px;
    height: 34px;
  }
}

/* smartphone */
@media (max-width: 767px) and (orientation: portrait) {
  .footer {
    margin-top: 20px;
    padding: 20px 0 20px 0;
  }
  
  .footer-inner {
    flex-direction: column;
    align-items: center;
    text-align: center;
    gap: 10px;
    padding: 0 20px;
  }
  
  .footer-col {
    width: 100%;
    max-width: 300px;
  }
  
  .footer h3 {
    font-size: 17px;
  }
  
  .footer-col li {
    font-size: 14px;
  }
  
  .link {
    display: none;
  }
  
  .social {
    justify-content: center;
    margin-bottom: 20px;
  }
  
  .footer-legal {
    max-width: 340px;
    margin: 0 auto;
    font-size: 12px;
  }
  
  .footer-bottom {
    font-size: 12px;
  }
}
@media (max-width: 767px) and (orientation: landscape) {
  .footer {
    margin-top: 20px;
    padding: 20px 0 20px 0;
  }
  
  .footer-inner {
    flex-direction: column;
    align-items: center;
    text-align: center;
    gap: 10px;
    padding: 0 20px;
  }
  
  .footer-col {
    width: 100%;
    max-width: 300px;
  }
  
  .footer h3 {
    font-size: 17px;
  }
  
  .footer-col li {
    font-size: 15px;
  }
  
  .link {
    display: none;
  }
  
  .social {
    justify-content: center;
    margin-bottom: 20px;
  }

  .footer-legal {
    max-width: 550px;
    margin: 0 auto;
  }
}
@media (min-width: 768px) and (max-width: 915px) and (max-height: 500px) and (orientation: landscape) {
  .footer {
    margin-top: 20px;
    padding: 20px 0 20px 0;
  }

  .footer-inner {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 10px 30px;
    padding: 0 20px;
    text-align: center;
  }
  
  .footer-col {
    margin: 0 auto;
    max-width: 320px;
  }
  
  .footer h3 {
    font-size: 17px;
  }
  
  .footer-col li {
    font-size: 15px;
  }
  
  .social {
    justify-content: center;
  }
  
  .footer-legal {
    grid-column: 1 / span 2;
    max-width: 700px;
    margin: 20px auto 0 auto;
    text-align: center;
  }
}